Skip to main content
GET
/
haulers
/
{hauler_uuid}
Get Hauler
curl --request GET \
  --url https://api.crosoftware.com/v0/haulers/{hauler_uuid} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.crosoftware.com/v0/haulers/{hauler_uuid}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.crosoftware.com/v0/haulers/{hauler_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-api-version
string

Version identifier (date format).

x-tenant-id
integer<int64>

Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.

Path Parameters

hauler_uuid
string<uuid>
required

Third party hauler identifier.

Response

200 - application/json

Success

Third party hauler profile.

id
string<uuid>
required

Third party hauler identifier.

name
string
required

Name (free text).